# Registering Ambari

In this chapter we create a new  **transition** by registering our base HDP cluster 
and specifying our wished target cluster. 
In general a transition represents a path from a specific base cluster instance 
to a target a cluster, however our current transition is an in-place upgrade. 

It is possible to manage several transitions with a single CMA Server instance. 

## Steps

### 1. 
On the left navigation pane, click __New Transition__ and select __Upgrade to CDP PvC Base - 1-stage__. Click __Next__.

  ![onestageupgrade1.png](images/onestageupgrade2.png)

### 2.

Register the Ambari Server by providing Ambari admin user and Ambari admin password. Click __Connect__. If the connection is successful, click __Next__

   ![onestageupgrade1.png](images/onestageupgrade3.png)
As a result a page for registering Cloudera Manager and private keys to the nodes is displayed.

   ![onestageupgrade1.png](images/onestageupgrade4.png)
### 3.
Configure the CDP Private Cloud Base Runtime parcel and credentials. You can select CDP Private Cloud Base Runtime parcel from the released versions and also edit the target full version specifying exact hotfix numbers. \

   ![onestageupgrade1.png](images/onestageupgrade5.png)

### 4. 

Click __Next__ and then click __Finish__ to complete the registration.

> Note\
> The transition data is stored in _<AM2CM_ROOT>/data/<Transition ID>_ directory. The following files are important for future references:
> * \*_<TID>-var.json_: Parameters collected during the registration process. This is an external VARS file passed to the ansible scripts.
> * \*_<TID>-inventory.ini_: The hosts and their roles mapped to an ansible inventory file


After the registration is successful, a new light blue tile is added under the Transitions menu.

### 5.

Execute transition by clicking List & Check Mark icon

   ![onestageupgrade1.png](images/onestageupgrade6.png)